# Note that this is NOT a relocatable package
%define ver      0.2.4
%define rel      2mdk
%define prefix   /usr

Summary: GNOME chess
Name: gnome-chess
Version: %ver
Release: %rel
Copyright: GPL
Group: Games/Boards
Source: ftp://ftp.gnome.org/pub/gnome-chess-%{ver}.tar.bz2
Source1: %{name}
Source2: %{name}-32.xpm.bz2
BuildRoot: /tmp/gnome-chess-root
URL: http://www.gnome.org
Docdir: %{prefix}/doc

%description
GNOME Chess is part of the GNOME project and is a graphical chess interface. It
can provide and interface to GNU Chess, Crafty, chess servers and PGN files.

%prep
%setup

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix --localstatedir=/var/lib
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --localstatedir=/var/lib
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} \
	localstatedir=$RPM_BUILD_ROOT/var/lib install

# menu
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/

# icon
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/share/locale/*/*/*
%{prefix}/share/pixmaps/*
# %{prefix}/share/gnome/apps/Games/*
/usr/lib/menu/%{name}
/usr/share/icons/%{name}.xpm

%changelog
* Sat Apr 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.4-2mdk
- removed unecessary manual stripping/bzing 
- addded menu entry

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 0.2.4-1mdk
- 0.2.4 
- SMP build/check.
- new group.

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build/check
- 0.2.3

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Mandrake adaptations

